<?php
/**
 * Template part for displaying the banner.
 *
 * @package Eronex
 * @since 0.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$banner_title      = eronex_banner_title();
$container         = eronex_option( 'eronex_banner_container', 'container' );
$typo              = eronex_option( 'eronex_banner_title_family', 'primary' );
$title_class       = 'primary' === $typo ? ' eronex-main-font' : ' eronex-alt-font';
$breadcrumb_enable = eronex_option( 'eronex_breadcrumb_enable', true );
?>
<div class="eronex-banner">
	<div class="eronex-<?php echo esc_attr( $container ); ?>">
		<h1 class="eronex-banner-title <?php echo esc_attr( $title_class ); ?>"><?php echo esc_html( $banner_title ); ?></h1>
		<?php
		if ( $breadcrumb_enable ) {
			/**
			 * Fires to output the breadcrumb markup.
			 *
			 * @since 0.0.1
			 */
			do_action( 'eronex_breadcrumb' );
		}
		?>
	</div>
</div>
